#!/bin/env python3
from json import loads

def parse_ip(raw_ip):
    result = []
    ip = loads(raw_ip)
    for interface in ip:
        if not interface["ifname"].startswith("br-")\
            and not interface["ifname"].startswith("vet") \
            and not interface["ifname"].startswith("dock") \
            and interface["operstate"] != "DOWN" \
            :
            result.append(interface)
    return result

def parse_os(raw_os):
    result = {}
    for line in raw_os.splitlines():
        opt, value = line.split("=")
        result[opt.lower()] = value
    return result

def parse_debian(content):
    current_section = ""
    result = {}
    for line in content.splitlines():
        if line.startswith("#####") and line.endswith("#####"):
            current_section = line.replace(" ","").replace("#","").lower()
            result[current_section] = ""
        else:
            if current_section:
                result[current_section] += line + "\n"
    result["ip"] = parse_ip(result["ip"])
    result["services"] = loads(result["services"])
    result["os"] = parse_os(result["version"])
    return result

if __name__ == "__main__":
    main()

